/* Breakpoints */

/* Sizes */

.widgetConstruct {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: stretch;
  padding: var(--padding-medium) var(--padding-big) 28px;
  background: var(--white);
  box-shadow: 0 3px 10px rgba(0, 0, 0, 0.13);
  border-top-left-radius: var(--border-radius-huge);
  border-top-right-radius: var(--border-radius-huge);
  pointer-events: initial;
  cursor: pointer;
  width: 100%;
}

.widgetConstruct__top {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  align-items: center;
  margin: 0 0 var(--padding-medium);
}

.widgetConstruct__title {
  margin: 0;
}

.widgetConstruct__howTo {
  font-size: var(--font-size-small);
}

.widgetConstruct__info {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  margin-bottom: var(--padding-medium);
}

.widgetConstruct__line {
  flex-shrink: 1;
  flex-grow: 1;
  background: var(--gray-500);
  height: 5px;
  width: 32px;
  transition: background 0.25s ease;
  background: linear-gradient(to right, var(--red) 0, var(--red) var(--progress-percent, 0), var(--gray-500) var(--progress-percent, 0), var(--gray-500) 100%);
}

.widgetConstruct__line-10 {
  width: 64px;
  border-radius: 5px 0 0 5px;
}

.widgetConstruct__line-active {
  background: var(--red);
}

.widgetConstruct__value {
  border: 1px solid var(--gray-500);
  padding: 5px;
  border-radius: var(--border-radius-medium);
  font-size: var(--font-size-small);
  transition: border 0.25s ease;
}

.widgetConstruct__value-active {
  border-color: var(--red);
  font-weight: bold;
}

.widgetConstruct__btnWrap {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: stretch;
  align-items: center;
}

.widgetConstruct__btn {
  margin-right: var(--padding-small);
  width: 100%;
}

.widgetConstruct__priceWrap {
  min-width: 70px;
  font-weight: bold;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
}

.widgetConstruct__discount {
  color: var(--gray-500);
  margin-top: var(--padding-small);
  text-decoration: line-through;
}

.widgetConstruct__actions {
  display: grid;
  grid-template-columns: auto 1fr auto;
  grid-gap: 16px;
  align-items: center;
}

.infoConstructModal {
  max-width: 560px;
}

.infoConstructModal__title {
  text-wrap: balance;
  margin: 0 0 var(--padding-medium);
}

.infoConstructModal__item {
  margin: 0 0 var(--padding-medium);
}

.infoConstructModal__number {
  font-weight: bold;
  font-size: var(--font-size-big);
  color: var(--red);
}

.infoConstructModal__subTitle {
  font-size: var(--font-size-small);
  color: var(--gray-500);
}

.constructContent__prodcuts {
  --product-box-shadow: none;
  --product-overflow: visible;
}

.constructHeader__content {
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-between;
  align-items: center;
}

.constructHeader__title {
  margin-bottom: 0;
}

.constructAdjustmentBtn {
  padding: 8px;
  border: 1px solid var(--gray-400);
  border-radius: var(--border-radius-small);
  background-color: var(--white);
  transition: border 0.25s ease;
  position: relative;
}

.constructAdjustmentBtn:hover {
  border-color: var(--red);
}

.constructAdjustmentBtn__icon {
  display: block;
  width: 20px;
  height: 20px;
  fill: var(--gray-700);
}

.constructAdjustmentBtn__badge {
  display: block;
  min-width: 22px;
  padding: 3px 4px;
  background-color: var(--red);
  border-radius: var(--border-radius-medium);
  color: var(--white);
  font-size: 11px;
  font-weight: bold;
  position: absolute;
  right: 0;
  top: 0;
  transform: translate(50%, -30%);
}

.set_construct .catalogNav__item[href="#block-setSlider"] {
  display: none !important;
}

@media (min-width: 768px) {
  .widgetConstruct {
    border-radius: var(--border-radius-huge);
  }

  .widgetConstruct__priceWrap {
    min-width: 80px;
  }

  .infoConstructModal__title {
    margin-right: var(--padding-medium);
  }

  .modal-constructContent {
    width: 435px;
  }
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
